module Clang_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libclang
const libclang_path = "/usr/lib/libclang.so.22.1"
libclang_handle = C_NULL
get_libclang_path() = libclang_path
const libclang = "libclang.so.22.1"
export libclang_cpp
const libclang_cpp_path = "/usr/lib/libclang-cpp.so.22.1"
libclang_cpp_handle = C_NULL
get_libclang_cpp_path() = libclang_cpp_path
const libclang_cpp = "libclang-cpp.so.22.1"
export clang
const clang_path = "/usr/bin/clang"
clang(f::Function; kw...) = f(clang_path)
clang(; kw...) = Cmd([clang_path])
export clang_apply_replacements
const clang_apply_replacements_path = "/usr/bin/clang-apply-replacements"
clang_apply_replacements(f::Function; kw...) = f(clang_apply_replacements_path)
clang_apply_replacements(; kw...) = Cmd([clang_apply_replacements_path])
export clang_check
const clang_check_path = "/usr/bin/clang-check"
clang_check(f::Function; kw...) = f(clang_check_path)
clang_check(; kw...) = Cmd([clang_check_path])
export clang_format
const clang_format_path = "/usr/bin/clang-format"
clang_format(f::Function; kw...) = f(clang_format_path)
clang_format(; kw...) = Cmd([clang_format_path])
export clang_scan_deps
const clang_scan_deps_path = "/usr/bin/clang-scan-deps"
clang_scan_deps(f::Function; kw...) = f(clang_scan_deps_path)
clang_scan_deps(; kw...) = Cmd([clang_scan_deps_path])
export clang_tidy
const clang_tidy_path = "/usr/bin/clang-tidy"
clang_tidy(f::Function; kw...) = f(clang_tidy_path)
clang_tidy(; kw...) = Cmd([clang_tidy_path])
function __init__()
    global libclang_handle = dlopen(libclang_path)
    global libclang_cpp_handle = dlopen(libclang_cpp_path)
end
end
